---
search:
  tags:
    - Container registries
    - POST
seo:
  description: >-
    Adds a container registry to the organization, with the credentials Kapten
    uses to… Reference for the POST /container-registry endpoint in the Platform
    API.
sidebar:
  label: Create a container registry
  badge: POST
title: Create a container registry
type: openapi-operation
---
Adds a container registry to the organization, with the credentials Kapten uses to pull and push images.

`POST /container-registry`

**Request body** (`application/json`, required)

Request body example:

```json
{
  "name": "string",
  "description": "string",
  "type": "STANDARD",
  "url": "string",
  "username": "string",
  "password": "string"
}
```

**Responses**

- `200` — Container registry created successfully
- `default` — Error

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "s_id": "string",
  "name": "string",
  "description": "string",
  "type": "STANDARD",
  "configuration": {
    "url": "string",
    "region": "string",
    "role_arn": "string"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
```
